// vccStub.h: The one and only header for vccStub.lib
/*! 
 * \file vccStub.h 
 * \brief This is the main include file for vccStub.lib
 *
 * This file should be included to use vccStub.lib. Please note that
 * the include files highlighted at the end of this document must be 
 * accessible
 */
//////////////////////////////////////////////////////////////////////

#if !defined(__VCCSTUB_H__INCLUDED)
#define __VCCSTUB_H__INCLUDED

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#if !defined(WINVER)
#define WINVER 0x0400
#endif

#if !defined(_WIN32_WINNT)
#define _WIN32_WINNT 0x0400
#endif

// Makes sure that UNICODE and _UNICODE are defined
#if defined(UNICODE)
#if !defined(_UNICODE)
#define _UNICODE
#endif
#elif defined(_UNICODE)
#if !defined(UNICODE)
#define UNICODE
#endif
#else
#error vccStub.lib is compiled for Unicode only.
#endif

#include <windows.h>
#include <tchar.h>

// These defines can be removed once the windows headers in the cadence
// directory have been updated to a version from this Century!
#ifndef PCTSTR
typedef const TCHAR *PCTSTR;
#endif
#ifndef PTSTR
typedef TCHAR *PTSTR;
#endif

// The Library //
// Please make sure the following files are available
#include "win2vcc.h"

#include "mouseMessage.h"

#include "MouseClient.h"
#include "ScreenClient.h"

#endif
