// PClient.h: interface for the PClient class.
/*! \file PClient.h
*/
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PCLIENT_H__79CA940F_37CD_4F2C_A274_B3A35595A849__INCLUDED_)
#define AFX_PCLIENT_H__79CA940F_37CD_4F2C_A274_B3A35595A849__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Pipe.h"

/*!
 * \class PClient
 * \brief A pipe client class
 * \ingroup win2vcc 
 * Handles the connecting to a PServer based pipe.
 * This class is intended for use in VCC.  Functions should be 
 * non-blocking.
 */
class PClient : public Pipe
{
public:
	bool isConnected();

	virtual DWORD connect();
	virtual void disconnect();
	
	PClient(const TString&, const bool);
	virtual ~PClient();
};

#endif // !defined(AFX_PCLIENT_H__79CA940F_37CD_4F2C_A274_B3A35595A849__INCLUDED_)
